library(gdata)
library(coxme)
library(multcomp)
library(lme4)
activedir <- file.choose()  # all files should be in the same directory, just choose one
setwd(dirname(activedir))  # set the working directory so that everything is relative

auxin<-read.xls("2018_AuxinLifespans_Combined.xlsx")

#Estimation of random effects variance
auxreml<-lmer(DeathAge~Treatment + (1|Replicate/Plate),data=auxin)
auxprofile<-profile(auxreml)
summary(auxreml)
confint(auxprofile)
summary(glht(auxreml, linfct = mcp(Treatment = c("N2_FUdR - PX627_FUdR = 0","PX627_FUdR - PX627_ELauxin = 0","PX627_FUdR - PX627_L4auxin = 0","PX627_ELauxin - PX627_L4auxin = 0"))))

#Cox Proportional Hazards treatment effects using random effects model within each strain
auxfit <- coxme(Surv(DeathAge,Dead) ~ Treatment + (1|Replicate/Plate), data=auxin)
print(auxfit)
summary(glht(auxfit, linfct = mcp(Treatment = c("N2_FUdR - PX627_FUdR = 0","PX627_FUdR - PX627_ELauxin = 0","PX627_FUdR - PX627_L4auxin = 0","PX627_ELauxin - PX627_L4auxin = 0"))))
